Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagLibraryInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagLibraryInfo

public abstract class TagLibraryInfo
extends java.lang.Object

Translation-time information associated with a taglib directive, and its underlying TLD file. Most of the information is directly from the TLD, except for the prefix and the uri values used in the taglib directive

Field Summary
`protected java.lang.String` | `info`
`protected java.lang.String` | `jspversion`
`protected java.lang.String` | `prefix`
`protected java.lang.String` | `shortname`
`protected TagInfo[]` | `tags`
`protected java.lang.String` | `tlibversion`
`protected java.lang.String` | `uri`
`protected java.lang.String` | `urn`

Constructor Summary
`protected` | `TagLibraryInfo(java.lang.String prefix, java.lang.String uri)` Constructor.

Method Summary
`java.lang.String` | `getInfoString()` Information (documentation) for this TLD.
`java.lang.String` | `getPrefixString()` The prefix assigned to this taglib from the <%taglib directive
`java.lang.String` | `getReliableURN()` The "reliable" URN indicated in the TLD.
`java.lang.String` | `getRequiredVersion()` A string describing the required version of the JSP container.
`java.lang.String` | `getShortName()` The preferred short name (prefix) as indicated in the TLD.
`TagInfo` | `getTag(java.lang.String shortname)` Get the TagInfo for a given tag name, looking through all the tags in this tag library.
`TagInfo[]` | `getTags()` An array describing the tags that are defined in this tag library.
`java.lang.String` | `getURI()` The value of the uri attribute from the <%@ taglib directive for this library.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

### uri

    protected java.lang.String uri

### tags

    protected TagInfo[] tags

### tlibversion

    protected java.lang.String tlibversion

### jspversion

    protected java.lang.String jspversion

### shortname

    protected java.lang.String shortname

### urn

    protected java.lang.String urn

### info

    protected java.lang.String info

Constructor Detail

### TagLibraryInfo

    protected TagLibraryInfo(java.lang.String prefix,
                             java.lang.String uri)

  Constructor. This will invoke the constructors for TagInfo, and TagAttributeInfo after parsing the TLD file.
  Parameters:
    `prefix` - the prefix actually used by the taglib directive
    `uri` - the URI actually used by the taglib directive

Method Detail

### getURI

    public java.lang.String getURI()

  The value of the uri attribute from the <%@ taglib directive for this library.

### getPrefixString

    public java.lang.String getPrefixString()

  The prefix assigned to this taglib from the <%taglib directive

### getShortName

    public java.lang.String getShortName()

  The preferred short name (prefix) as indicated in the TLD. This may be used by authoring tools as the preferred prefix to use when creating an include directive for this library.

### getReliableURN

    public java.lang.String getReliableURN()

  The "reliable" URN indicated in the TLD. This may be used by authoring tools as a global identifier (the uri attribute) to use when creating a taglib directive for this library.

### getInfoString

    public java.lang.String getInfoString()

  Information (documentation) for this TLD.

### getRequiredVersion

    public java.lang.String getRequiredVersion()

  A string describing the required version of the JSP container.

### getTags

    public TagInfo[] getTags()

  An array describing the tags that are defined in this tag library.

### getTag

    public TagInfo getTag(java.lang.String shortname)

  Get the TagInfo for a given tag name, looking through all the tags in this tag library.
  Parameters:
    `shortname` - The short name (no prefix) of the tag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 The Apache Software Foundation. All Rights Reserved.